<style type="text/css">
.notfirstcol {
    padding-left:28px;
}
</style>
<b>[l]Select which fields you wish to export and press the button to download the file[/l]:</b><br />
<table>
    <tr>
    <!-- BEGIN DYNAMIC BLOCK: clients_fields_column -->
        <td valign="top" class="{tdclass}">
        <!-- BEGIN DYNAMIC BLOCK: clients_field -->
            <input style="margin-right:5px;" type="checkbox" name="clients_field_{inputname}" {checked} {onaction} />{fieldname}<br />
        <!-- END DYNAMIC BLOCK: clients_field -->
        </td>
    <!-- END DYNAMIC BLOCK: clients_fields_column -->
    </tr>
</table><br />
<input type="hidden" name="passphrase" value="" />
<input type="submit" value="[lh]Download .csv[/lh]" />
<script type="text/javascript">
    function rerquestPassphrase(){
        if(document.forms['ImportExportPlugin'].elements['clients_field_Credit__Card__Number'].checked){
            //The line inside does not work in Internet Explorer
            if(/*@cc_on!@*/true){
                Ext.MessageBox.getDialog().body.child('input').dom.type='password';
            }
            Ext.MessageBox.prompt('Validate Credit Card', 'Enter your passphrase:', addPassphrase);
            return false;
        }
    }
    
    function addPassphrase(btn, text){
        //The line inside does not work in Internet Explorer
        if(/*@cc_on!@*/true){
            Ext.MessageBox.getDialog().body.child('input').dom.type='text';
        }
        if(btn=="ok"){
            document.forms['ImportExportPlugin'].elements['clients_field_Credit__Card__Number'].checked = true;
            document.forms['ImportExportPlugin'].elements['passphrase'].value = text;
        }else{
            document.forms['ImportExportPlugin'].elements['clients_field_Credit__Card__Number'].checked = false;
            document.forms['ImportExportPlugin'].elements['passphrase'].value = '';
        }
    }
</script>